hwy::Params Struct Reference

`#include <nanobenchmark.h>`

## Public Attributes

size_t | precision_divisor = 1024
size_t | subset_ratio = 2
double | seconds_per_eval = 4E-3
size_t | min_samples_per_eval = 7
size_t | min_mode_samples = 64
double | target_rel_mad = 0.002
size_t | max_evals = 9
bool | verbose = true

## Static Public Attributes

static constexpr size_t | kTimerSamples = 256

## Member Data Documentation

## kTimerSamples

constexpr size_t hwy::Params::kTimerSamples = 256

static constexpr

## max_evals

size_t hwy::Params::max_evals = 9

## min_mode_samples

size_t hwy::Params::min_mode_samples = 64

## min_samples_per_eval

size_t hwy::Params::min_samples_per_eval = 7

## precision_divisor

size_t hwy::Params::precision_divisor = 1024

## seconds_per_eval

double hwy::Params::seconds_per_eval = 4E-3

## subset_ratio

size_t hwy::Params::subset_ratio = 2

## target_rel_mad

double hwy::Params::target_rel_mad = 0.002

## verbose

bool hwy::Params::verbose = true

The documentation for this struct was generated from the following file:

- nanobenchmark.h